﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyClientapp.Services;
using System.Data.Services.Client;

namespace MyClientapp
{
    public class ViewModel
    {
        private GettingStartedWithUpdateEntities _ctx;
        private Category[] _categories;
        private DataServiceCollection<Product> _products;

        public ViewModel()
        {
            _ctx = new GettingStartedWithUpdateEntities(
                new Uri("http://localhost:1812/ProductService.svc/"));
            Load();
        }
        public DataServiceCollection<Product> Products
        {
            get
            {
                return _products;
            }
        }
        public Category[] Categories
        {
            get
            {
                return _categories;
            }
        }
        public void SaveChanges()
        {
            _ctx.SaveChanges();
            Load();
        }
        public void Load()
        {
            _categories = _ctx.Categories.ToArray();
            _products = new DataServiceCollection<Product>(_ctx);
            _products.Load(from p in _ctx.Products.Expand("Category")
                           select p);
        }
    }


}
